package discord

import (
	"github.com/bwmarrin/discordgo"
)

type MemberUpdate struct {
	Nick  string
	Roles []string
}

func GetMember(session *discordgo.Session, guid, uid string) (*discordgo.Member, error) {
	return session.GuildMember(guid, uid)
}

func UpdateMember(session *discordgo.Session, guid, uid string, template MemberUpdate) error {
	var err error
	if template.Nick != "" {
		err = session.GuildMemberNickname(guid, uid, template.Nick)
	}

	err = session.GuildMemberEdit(guid, uid, template.Roles)

	return err
}
